Search modular inventory selectors
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/selectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/selectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/selectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"selectorType": "site",
"externalId": "<string>",
"name": "<string>",
"path": [
"<string>"
],
"parentId": "<string>",
"status": "<string>",
"hasChildren": true,
"metadata": {}
}
],
"nextCursor": "<string>",
"count": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Search modular inventory selectors
Search upstream taxonomy selectors for a modular inventory source. For FreeWheel sandbox sources this reads live selector taxonomy, not avails or forecasted capacity.
GET
/
inventory-sources
/
{sourceId}
/
modular
/
inventory
/
selectors
Search modular inventory selectors
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/selectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/selectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/inventory/selectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"selectorType": "site",
"externalId": "<string>",
"name": "<string>",
"path": [
"<string>"
],
"parentId": "<string>",
"status": "<string>",
"hasChildren": true,
"metadata": {}
}
],
"nextCursor": "<string>",
"count": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Query Parameters
Available options:
site, site_section, site_group, series, video_group, ad_unit_package, ad_unit_node, standard_attribute Required range:
1 <= x <= 100